Skip to main content
`Ctrl`+`K`

# DSGetType

Gets the `DS` type name (as a string) from the `DS` context.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSGetType(DS ds,DSType *type)

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameter

- type - name of the direct solver

## See Also

DS: Direct Solver (or Dense System), `DSSetType()`

## Level

intermediate

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages